Package be.ehealth.technicalconnector.service.sts.security

# Interface Credential

All Known Subinterfaces:
  `ExtendedCredential`, `SAMLToken`

All Known Implementing Classes:
  `AbstractExtendedCredential`, `AbstractSAMLToken`, `BeIDCredential`, `KeyPairCredential`, `KeyStoreCredential`, `SAMLHolderOfKeyToken`, `SAMLSenderVouchesCredential`

public interface Credential
The Interface Credential.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X509Certificate`
  `getCertificate()`
  Gets the certificate.
  `Certificate[]`
  `getCertificateChain()`
  Gets the certificate chain
  `String`
  `getIssuer()`
  Gets the issuer.
  `String`
  `getIssuerQualifier()`
  Gets the issuer qualifier.
  `KeyStore`
  `getKeyStore()`
  Gets the associated `KeyStore`
  `PrivateKey`
  `getPrivateKey()`
  Gets the private key.
  `String`
  `getProviderName()`
  Gets the keystore provider
  `PublicKey`
  `getPublicKey()`
  Gets the public key.

- ## Method Details

  - ### getIssuer

    String getIssuer() throws TechnicalConnectorException
    Gets the issuer.
    Throws:
      `TechnicalConnectorException`

  - ### getIssuerQualifier

    String getIssuerQualifier() throws TechnicalConnectorException
    Gets the issuer qualifier.
    Throws:
      `TechnicalConnectorException`

  - ### getPublicKey

    PublicKey getPublicKey() throws TechnicalConnectorException
    Gets the public key.
    Throws:
      `TechnicalConnectorException`

  - ### getPrivateKey

    PrivateKey getPrivateKey() throws TechnicalConnectorException
    Gets the private key.
    Throws:
      `TechnicalConnectorException`

  - ### getCertificate

    X509Certificate getCertificate() throws TechnicalConnectorException
    Gets the certificate.
    Throws:
      `TechnicalConnectorException`

  - ### getProviderName

    String getProviderName() throws TechnicalConnectorException
    Gets the keystore provider
    Throws:
      `TechnicalConnectorException`

  - ### getCertificateChain

    Certificate[] getCertificateChain() throws TechnicalConnectorException
    Gets the certificate chain
    Throws:
      `TechnicalConnectorException`

  - ### getKeyStore

    KeyStore getKeyStore() throws TechnicalConnectorException
    Gets the associated `KeyStore`
    Throws:
      `TechnicalConnectorException`